Package ch.qos.logback.core.joran.util.beans

## Class BeanDescriptionFactory

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.util.beans.BeanDescriptionFactory

All Implemented Interfaces:
  `ContextAware`

    public class BeanDescriptionFactory
    extends ContextAwareBase

Encapsulates creation of `BeanDescription` instances. This factory is kind of a lightweight Introspector as described in the Java Beans API specification. The given class is only analyzed for its public getters, setters and adders methods. Implementations of the BeanInfo interface are not taken into account for analysis. Therefore this class is only partially compatible with the Java Beans API specification.

Author:
  urechm

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Method Summary

All Methods Instance Methods Concrete Methods
`BeanDescription` `create​(java.lang.Class<?> clazz)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public BeanDescription create​(java.lang.Class<?> clazz)

Parameters:
  `clazz` - to create a `BeanDescription` for.
Returns:
  a `BeanDescription` for the given class.